Bug 783580 - Update Request: snakeyaml 1.9
Update Request: snakeyaml 1.9
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: snakeyaml (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 770821
  Show dependency treegraph
 
Reported: 2012-01-20 16:58 EST by Mo Morsi
Modified: 2016-01-31 20:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-13 16:13:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mo Morsi 2012-01-20 16:58:30 EST
Currently snakeyaml is at version 1.8 in Fedora and JRuby which depends on it is at version 1.6.3. 

A CVE (#770821) has been filed against JRuby which requires us to update to version 1.6.5.1 which depends on the latest snakeyaml release 1.9

Could you update the version of snakeyaml in Fedora rawhide, f16, to version 1.9?

Here is the changelog and updated spec / srpm which I've built:

http://code.google.com/p/snakeyaml/wiki/changes
http://mo.morsi.org/files/rpms/snakeyaml-1.9-1.fc16.src.rpm
mo.morsi.org/files/rpms/snakeyaml.spec


Alternatively, I've requested committer rights for snakeyaml in the pkgdb. If you would like to add me as a comaintainer, I can just push these updates myself.

Thank you greatly
Comment 1 Jaromír Cápík 2012-01-23 06:42:36 EST
Hello.

I'll add You as comaintainer, but the spec file needs to be changed to meet the latest guidelines (update_maven_depmap, add_to_maven_depmap -> add_maven_depmap).
Please, do the changes prior to the commit.

Thanks in advance,
Jaromir.
Comment 2 Mo Morsi 2012-02-13 16:13:37 EST
Just updated the package to comply to the latest Java guidelines and pushed / rebuilt against Rawhide, F17, F16.

Note You need to log in before you can comment on or make changes to this bug.